## org.eclipse.jst.jsf.facesconfig.emf.impl
Class OrderingTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.OrderingTypeImpl

All Implemented Interfaces:
  OrderingType

    public class OrderingTypeImpl

extends EObjectImpl
implements OrderingType

An implementation of the model object 'Ordering Type'.

The following features are implemented:

- `Before`
- `After`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetAfter(OrderingOrderingType newAfter, NotificationChain msgs)`
`NotificationChain` `basicSetBefore(OrderingOrderingType newBefore, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`OrderingOrderingType` `getAfter()`
`OrderingOrderingType` `getBefore()`
`void` `setAfter(OrderingOrderingType newAfter)`
`void` `setBefore(OrderingOrderingType newBefore)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getBefore

    public OrderingOrderingType getBefore()

  Specified by:
    `getBefore` in interface `OrderingType`
  Returns:
    the value of the 'Before' containment reference.
  See Also:
    `OrderingType.setBefore(OrderingOrderingType)`, `FacesConfigPackage.getOrderingType_Before()`

### basicSetBefore

    public NotificationChain basicSetBefore(OrderingOrderingType newBefore,
                                            NotificationChain msgs)

  Parameters:
    `newBefore` -
    `msgs` -
  Returns:
    NotificationChain

### setBefore

    public void setBefore(OrderingOrderingType newBefore)

  Specified by:
    `setBefore` in interface `OrderingType`
  Parameters:
    `newBefore` - the new value of the 'Before' containment reference.
  See Also:
    `OrderingType.getBefore()`

### getAfter

    public OrderingOrderingType getAfter()

  Specified by:
    `getAfter` in interface `OrderingType`
  Returns:
    the value of the 'After' containment reference.
  See Also:
    `OrderingType.setAfter(OrderingOrderingType)`, `FacesConfigPackage.getOrderingType_After()`

### basicSetAfter

    public NotificationChain basicSetAfter(OrderingOrderingType newAfter,
                                           NotificationChain msgs)

  Parameters:
    `newAfter` -
    `msgs` -
  Returns:
    NotificationChain

### setAfter

    public void setAfter(OrderingOrderingType newAfter)

  Specified by:
    `setAfter` in interface `OrderingType`
  Parameters:
    `newAfter` - the new value of the 'After' containment reference.
  See Also:
    `OrderingType.getAfter()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)